corda / net.corda.client.fxutils / AmountBindings

# AmountBindings

`object AmountBindings`

Utility bindings for the Amount type, similar in spirit to Bindings

### Functions

exchange | `fun exchange(currency: ObservableValue<Currency>, exchangeRate: ObservableValue<ExchangeRate>): ObservableValue<Pair<Currency, (Amount<Currency>) -> Long>>`
sum | `fun <T> sum(amounts: ObservableList<Amount<T>>, token: T): <ERROR CLASS>`
sumAmountExchange | `fun sumAmountExchange(amounts: ObservableList<Amount<Currency>>, currency: ObservableValue<Currency>, exchangeRate: ObservableValue<ExchangeRate>): ObservableValue<Amount<Currency>>`